// creator  : weidu.exe (version 23100)
// argument : GBEGG01.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~GBEGG01~ 2 // non-zero flags may indicate non-pausing dialogue

IF ~True()
!Dead("gguard01")
!StateCheck("gguard01",STATE_SLEEPING)
~ THEN BEGIN 0 // from:
  SAY #30120 /* ~My apologies for the intrusion, <PRO_SIRMAAM>, but might I prevail upon you for a single gold piece?  Times are poor for me an' my kin these months, and I have been reduced to a mere beggar!~ */
  IF ~PartyGoldGT(0)
~ THEN REPLY #30121 /* ~Yes, certainly... here you go.~ */ DO ~TakePartyGold(1)
SetGlobal("Gavegbegg","AR1000",1)~ GOTO 1
  IF ~PartyGoldGT(4)~ THEN REPLY #30122 /* ~I am sorry, but I cannot help you.~ */ GOTO 2
  IF ~PartyGoldLT(5)~ THEN REPLY #50206 /* ~I am sorry, but I cannot help you.~ */ DO ~SetGlobal("Gavegbegg","AR1000",1)~ GOTO 2
  IF ~PartyGoldGT(4)~ THEN REPLY #30125 /* ~Begone with you!  I have had enough of this infernal begging throughout this city!~ */ GOTO 3
  IF ~PartyGoldLT(5)~ THEN REPLY #50210 /* ~Begone with you!  I have had enough of this infernal begging throughout this city!~ */ DO ~SetGlobal("Gavegbegg","AR1000",1)~ GOTO 3
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #30126 /* ~You are a kind <PRO_MANWOMAN>, my <PRO_LADYLORD>, and I thank ye truly for your generosity.~ */
  IF ~~ THEN DO ~CreateCreatureObjectOffScreen("GGUARD01",Myself,0,0,0)
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.2 0.1
  SAY #30128 /* ~Of course, my <PRO_LADYLORD>... we cannot all afford to help.  I shall leave you alone, then.~ */
  IF ~~ THEN DO ~CreateCreatureObjectOffScreen("GGUARD01",Myself,0,0,0)
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.4 0.3
  SAY #30129 /* ~I... I apologize most profusely, my <PRO_LADYLORD>... I meant no offense!  I am simply in dire straits.  I... shall leave you be.~ */
  IF ~~ THEN DO ~CreateCreatureObjectOffScreen("GGUARD01",Myself,0,0,0)
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: GGUARD01:0.0
  SAY #30133 /* ~I... am sorry, sir... truly I am.  But all the people with spare coin are here... and...~ */
  IF ~~ THEN EXTERN ~GGUARD01~ 2
END

IF ~~ THEN BEGIN 5 // from: GGUARD01:3.0
  SAY #30142 /* ~Nooo!  PLEEEEAAAASSSE!!~ */
  IF ~~ THEN DO ~SetGlobal("ArrestBeggar","AR1000",1)
~ EXIT
END

IF ~~ THEN BEGIN 6 // from: GGUARD01:6.0 GGUARD01:5.0 GGUARD01:4.0
  SAY #30144 /* ~Th-thank you!  Thank you, you've saved me!  My deepest appreciation!~ */
  IF ~Global("viconiacharity","AR1000",0)~ THEN DO ~EscapeArea()
~ EXIT
  IF ~Global("viconiacharity","AR1000",1)
IsValidForPartyDialog("Edwin")~ THEN DO ~EscapeArea()~ EXTERN ~EDWINJ~ 88
  IF ~Global("viconiacharity","AR1000",1)
!IsValidForPartyDialog("Edwin")
IsValidForPartyDialog("Jan")~ THEN DO ~EscapeArea()~ EXTERN ~JANJ~ 137
  IF ~Global("viconiacharity","AR1000",1)
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
IsValidForPartyDialog("HaerDalis")~ THEN DO ~EscapeArea()~ EXTERN ~HAERDAJ~ 90
  IF ~Global("viconiacharity","AR1000",1)
!IsValidForPartyDialog("Edwin")
!IsValidForPartyDialog("Jan")
!IsValidForPartyDialog("HaerDalis")~ THEN REPLY #50259 /* ~What was that, Viconia?  An act of charity?~ */ DO ~EscapeArea()~ EXTERN ~VICONIJ~ 79
END
